Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.xqj
Class SaxonXQForwardSequence

    java.lang.Object
      net.sf.saxon.xqj.SaxonXQForwardSequence

All Implemented Interfaces:
  XQItemAccessor, XQResultSequence, XQSequence

    public class SaxonXQForwardSequence

extends Object
implements XQResultSequence

The class is a Saxon implementation of the XQJ interface XQResultSequence. This implementation is used to represent a sequence that can only be read in a forwards direction.

Method Summary
`boolean` | `absolute(int itempos)`
`void` | `afterLast()`
`void` | `beforeFirst()`
`void` | `clearWarnings()`
`void` | `close()`
`int` | `count()`
`boolean` | `first()`
`String` | `getAtomicValue()`
`boolean` | `getBoolean()`
`byte` | `getByte()`
`XQConnection` | `getConnection()`
`double` | `getDouble()`
`float` | `getFloat()`
`int` | `getInt()`
`XQItem` | `getItem()`
`javax.xml.stream.XMLStreamReader` | `getItemAsStream()`
`String` | `getItemAsString()`
`XQItemType` | `getItemType()`
`long` | `getLong()`
`Node` | `getNode()`
`URI` | `getNodeUri()`
`Object` | `getObject()`
`Object` | `getObject(XQCommonHandler handler)`
`int` | `getPosition()`
`javax.xml.stream.XMLStreamReader` | `getSequenceAsStream()`
`String` | `getSequenceAsString(Properties props)`
`short` | `getShort()`
`XQWarning` | `getWarnings()`
`boolean` | `instanceOf(XQItemType type)`
`boolean` | `isAfterLast()`
`boolean` | `isBeforeFirst()`
`boolean` | `isClosed()`
`boolean` | `isFirst()`
`boolean` | `isLast()`
`boolean` | `isOnItem()`
`boolean` | `isScrollable()`
`boolean` | `last()`
`boolean` | `next()`
`boolean` | `previous()`
`boolean` | `relative(int itempos)`
`void` | `writeItem(OutputStream os, Properties props)`
`void` | `writeItem(Writer ow, Properties props)`
`void` | `writeItemToSAX(ContentHandler saxHandler)`
`void` | `writeSequence(OutputStream os, Properties props)`
`void` | `writeSequence(Writer ow, Properties props)`
`void` | `writeSequenceToSAX(ContentHandler saxHandler)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### clearWarnings

    public void clearWarnings()

  Specified by:
    `clearWarnings` in interface `XQResultSequence`

### getConnection

    public XQConnection getConnection()

  Specified by:
    `getConnection` in interface `XQResultSequence`

### getWarnings

    public XQWarning getWarnings()

  Specified by:
    `getWarnings` in interface `XQResultSequence`

### getAtomicValue

    public String getAtomicValue()
                          throws XQException

  Specified by:
    `getAtomicValue` in interface `XQItemAccessor`
  Throws:
    `XQException`

### getBoolean

    public boolean getBoolean()
                       throws XQException

  Specified by:
    `getBoolean` in interface `XQItemAccessor`
  Throws:
    `XQException`

### getByte

    public byte getByte()
                 throws XQException

  Specified by:
    `getByte` in interface `XQItemAccessor`
  Throws:
    `XQException`

### getDouble

    public double getDouble()
                     throws XQException

  Specified by:
    `getDouble` in interface `XQItemAccessor`
  Throws:
    `XQException`

### getFloat

    public float getFloat()
                   throws XQException

  Specified by:
    `getFloat` in interface `XQItemAccessor`
  Throws:
    `XQException`

### getInt

    public int getInt()
               throws XQException

  Specified by:
    `getInt` in interface `XQItemAccessor`
  Throws:
    `XQException`

### getItemAsStream

    public javax.xml.stream.XMLStreamReader getItemAsStream()
                                                     throws XQException

  Specified by:
    `getItemAsStream` in interface `XQItemAccessor`
  Throws:
    `XQException`

### getItemAsString

    public String getItemAsString()
                           throws XQException

  Specified by:
    `getItemAsString` in interface `XQItemAccessor`
  Throws:
    `XQException`

### getItemType

    public XQItemType getItemType()
                           throws XQException

  Specified by:
    `getItemType` in interface `XQItemAccessor`
  Throws:
    `XQException`

### getLong

    public long getLong()
                 throws XQException

  Specified by:
    `getLong` in interface `XQItemAccessor`
  Throws:
    `XQException`

### getNode

    public Node getNode()
                 throws XQException

  Specified by:
    `getNode` in interface `XQItemAccessor`
  Throws:
    `XQException`

### getNodeUri

    public URI getNodeUri()
                   throws XQException

  Specified by:
    `getNodeUri` in interface `XQItemAccessor`
  Throws:
    `XQException`

### getObject

    public Object getObject()
                     throws XQException

  Specified by:
    `getObject` in interface `XQItemAccessor`
  Throws:
    `XQException`

### getObject

    public Object getObject(XQCommonHandler handler)
                     throws XQException

  Specified by:
    `getObject` in interface `XQItemAccessor`
  Throws:
    `XQException`

### getShort

    public short getShort()
                   throws XQException

  Specified by:
    `getShort` in interface `XQItemAccessor`
  Throws:
    `XQException`

### instanceOf

    public boolean instanceOf(XQItemType type)
                       throws XQException

  Specified by:
    `instanceOf` in interface `XQItemAccessor`
  Throws:
    `XQException`

### writeItem

    public void writeItem(OutputStream os,
                          Properties props)
                   throws XQException

  Specified by:
    `writeItem` in interface `XQItemAccessor`
  Throws:
    `XQException`

### writeItem

    public void writeItem(Writer ow,
                          Properties props)
                   throws XQException

  Specified by:
    `writeItem` in interface `XQItemAccessor`
  Throws:
    `XQException`

### writeItemToSAX

    public void writeItemToSAX(ContentHandler saxHandler)
                        throws XQException

  Specified by:
    `writeItemToSAX` in interface `XQItemAccessor`
  Throws:
    `XQException`

### absolute

    public boolean absolute(int itempos)
                     throws XQException

  Specified by:
    `absolute` in interface `XQSequence`
  Throws:
    `XQException`

### afterLast

    public void afterLast()
                   throws XQException

  Specified by:
    `afterLast` in interface `XQSequence`
  Throws:
    `XQException`

### beforeFirst

    public void beforeFirst()
                     throws XQException

  Specified by:
    `beforeFirst` in interface `XQSequence`
  Throws:
    `XQException`

### close

    public void close()
               throws XQException

  Specified by:
    `close` in interface `XQSequence`
  Throws:
    `XQException`

### count

    public int count()
              throws XQException

  Specified by:
    `count` in interface `XQSequence`
  Throws:
    `XQException`

### first

    public boolean first()
                  throws XQException

  Specified by:
    `first` in interface `XQSequence`
  Throws:
    `XQException`

### getItem

    public XQItem getItem()
                   throws XQException

  Specified by:
    `getItem` in interface `XQSequence`
  Throws:
    `XQException`

### getPosition

    public int getPosition()
                    throws XQException

  Specified by:
    `getPosition` in interface `XQSequence`
  Throws:
    `XQException`

### getSequenceAsStream

    public javax.xml.stream.XMLStreamReader getSequenceAsStream()
                                                         throws XQException

  Specified by:
    `getSequenceAsStream` in interface `XQSequence`
  Throws:
    `XQException`

### getSequenceAsString

    public String getSequenceAsString(Properties props)
                               throws XQException

  Specified by:
    `getSequenceAsString` in interface `XQSequence`
  Throws:
    `XQException`

### isAfterLast

    public boolean isAfterLast()
                        throws XQException

  Specified by:
    `isAfterLast` in interface `XQSequence`
  Throws:
    `XQException`

### isBeforeFirst

    public boolean isBeforeFirst()
                          throws XQException

  Specified by:
    `isBeforeFirst` in interface `XQSequence`
  Throws:
    `XQException`

### isClosed

    public boolean isClosed()

  Specified by:
    `isClosed` in interface `XQSequence`

### isFirst

    public boolean isFirst()
                    throws XQException

  Specified by:
    `isFirst` in interface `XQSequence`
  Throws:
    `XQException`

### isLast

    public boolean isLast()
                   throws XQException

  Specified by:
    `isLast` in interface `XQSequence`
  Throws:
    `XQException`

### isOnItem

    public boolean isOnItem()
                     throws XQException

  Specified by:
    `isOnItem` in interface `XQSequence`
  Throws:
    `XQException`

### isScrollable

    public boolean isScrollable()
                         throws XQException

  Specified by:
    `isScrollable` in interface `XQSequence`
  Throws:
    `XQException`

### last

    public boolean last()
                 throws XQException

  Specified by:
    `last` in interface `XQSequence`
  Throws:
    `XQException`

### next

    public boolean next()
                 throws XQException

  Specified by:
    `next` in interface `XQSequence`
  Throws:
    `XQException`

### previous

    public boolean previous()
                     throws XQException

  Specified by:
    `previous` in interface `XQSequence`
  Throws:
    `XQException`

### relative

    public boolean relative(int itempos)
                     throws XQException

  Specified by:
    `relative` in interface `XQSequence`
  Throws:
    `XQException`

### writeSequence

    public void writeSequence(OutputStream os,
                              Properties props)
                       throws XQException

  Specified by:
    `writeSequence` in interface `XQSequence`
  Throws:
    `XQException`

### writeSequence

    public void writeSequence(Writer ow,
                              Properties props)
                       throws XQException

  Specified by:
    `writeSequence` in interface `XQSequence`
  Throws:
    `XQException`

### writeSequenceToSAX

    public void writeSequenceToSAX(ContentHandler saxHandler)
                            throws XQException

  Specified by:
    `writeSequenceToSAX` in interface `XQSequence`
  Throws:
    `XQException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.